#include "window-manager.h"
#include "controlpanel.h"
#include <stdlib.h>
#include <stdio.h>

Window_Manager * Window_Manager_new(Panel * panel, Main_Menu * menu){
    Window_Manager * self = malloc(sizeof(Window_Manager));
    self->panel = panel;
    self->display = (Display) main_menu;
    self->menu = menu;
    return self;
}

void Window_Manager_delete(Window_Manager * manager){
    free(manager);
}

void Window_Manager_display(Window_Manager * self){
    switch(self->display){
        case main_menu: 
            Panel_drawMainMenu(self->panel, self->menu); 
        break;
        case options:
        break;
        case game_ui:
            Panel_drawGame(self->panel);
        break;
        case load_save:
        break;
        default:
        break;
    }
}